RunDefinition (CMDB Model API)
Keywords: com.collation.platform.model.discovery.profile.RunDefinition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.profile
Interface RunDefinition

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface RunDefinition

extends ModelObject

Naming Rules:
  0="scope,profile"
Persistable:
  true
Table Name:
  RUNDEF

Method Summary
`DiscoveryProfile` | `getProfile()`
`Scope` | `getScope()`
`boolean` | `hasProfile()`
`boolean` | `hasScope()`
`void` | `setProfile(DiscoveryProfile profile)`
`void` | `setScope(Scope scope)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getScope

    Scope getScope()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScope

    void setScope(Scope scope)

### hasScope

    boolean hasScope()

### getProfile

    DiscoveryProfile getProfile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProfile

    void setProfile(DiscoveryProfile profile)

### hasProfile

    boolean hasProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD